Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | List of all members
agora::base::IServiceObserver Class Reference

`#include <IAgoraService.h>`

## Public Member Functions
virtual | ~IServiceObserver ()
virtual void | onPermissionError (agora::rtc::PERMISSION_TYPE permissionType)
virtual void | onAudioDeviceError (ERROR_CODE_TYPE error, const char *description)
virtual void | onFetchConfigResult (int code, rtc::CONFIG_FETCH_TYPE configType, const char *configContent)
virtual void | onPermissionGranted (agora::rtc::PERMISSION_TYPE permissionType)
virtual void | onLocalUserRegistered (rtc::uid_t uid, const char *userAccount)

## Detailed Description

The IServiceObserver class.

## Constructor & Destructor Documentation

## ◆ ~IServiceObserver()

virtual agora::base::IServiceObserver::~IServiceObserver | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ onPermissionError()

virtual void agora::base::IServiceObserver::onPermissionError | ( | agora::rtc::PERMISSION_TYPE | permissionType | ) |
| inline virtual

Reports the permission error.

Parameters

  permission | `PERMISSION`

## ◆ onAudioDeviceError()

virtual void agora::base::IServiceObserver::onAudioDeviceError | ( | ERROR_CODE_TYPE | error,
|  | const char * | description )
| inline virtual

Reports the audio device error.

Parameters

  error | `ERROR_CODE_TYPE`

## ◆ onFetchConfigResult()

virtual void agora::base::IServiceObserver::onFetchConfigResult | ( | int | code,
|  | rtc::CONFIG_FETCH_TYPE | configType,
|  | const char * | configContent )
| inline virtual

Reports the config fetch result.

Parameters

  code | The error code of fetching config. 0(ERR_OK): Success. 10(ERR_TIMEDOUT): Fetching config is timed out.
  configType | The type of fetching config. 1(CONFIG_FETCH_TYPE_INITIALIZE): Fetch config when initializing RtcEngine without channel info. 2(CONFIG_FETCH_TYPE_JOIN_CHANNEL): Fetch config when joining channel with channel info, such as channel name and uid.
  configContent | The config fetched from server.

## ◆ onPermissionGranted()

virtual void agora::base::IServiceObserver::onPermissionGranted | ( | agora::rtc::PERMISSION_TYPE | permissionType | ) |
| inline virtual

Reports the permission granted.

Parameters

  permission | `PERMISSION`

## ◆ onLocalUserRegistered()

virtual void agora::base::IServiceObserver::onLocalUserRegistered | ( | rtc::uid_t | uid,
|  | const char * | userAccount )
| inline virtual

Occurs when the local user registers a user account.

Parameters

  uid | The ID of the local user.
  userAccount | The user account of the local user.